%define _disable_ld_no_undefined 1
%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}	

%define rel	2
%define rev	0

%if %{rev}
%define release	%mkrel -c %{rev} %{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		gpsim
Version:	0.27.0
Release:	%{release}
Summary:	A software simulator for Microchip PIC micro-controllers

%if %{rev}
Source0:	%{name}-%{version}-%{rev}.tar.gz
%else
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
%endif
Source1:	mk_tar

License:	GPLv2
Group:		Development/Other
Url:		http://gpsim.sourceforge.net/

BuildRequires:	bison
BuildRequires:	flex 
BuildRequires:	glibc-static-devel
BuildRequires:	gputils
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtkextra-3.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(popt) 
BuildRequires:	readline-devel
BuildRequires:	termcap-devel

%description
%{name} is a full-featured software simulator for Microchip PIC micro-controllers
distributed under the GNU General Public License.

It has been designed to be as accurate as possible. Accuracy includes the 
entire PIC - from the core to the I/O pins and including all of the internal 
peripherals. Thus it's possible to create stimuli and tie them to the I/O pins 
and test the PIC the same way you would in the real world.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the %{name} dynamic library files.

%package -n %{devname}
Summary:	Headers for developing programs that will use libgpsim
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains %{name} development files.

%prep
%setup -q

%build
%configure2_5x --disable-static --enable-sockets
%make

%install
%makeinstall_std
find %{buildroot} -name "*.la" -delete

%files
%doc README
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{major}.*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{name}*.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.27.0-2.mga4
+ Revision: 534210
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 barjac <barjac> 0.27.0-1.mga4
+ Revision: 476457
- new version gpsim-0.27.0
- sorted BRs and used pkgconfig where available
- corrected source0 with full url
- minor edits to mk_tar

* Fri Aug 16 2013 barjac <barjac> 0.26.99-0.2238.1.mga4
+ Revision: 467038
- add mk_tar to create snapshot tarballs
- new snapshot
- imported package gpsim

